#ifndef __GPOD_APPLICATION_H__
#define __GPOD_APPLICATION_H__

#include <gtk/gtk.h>

G_BEGIN_DECLS

#define GPOD_TYPE_APPLICATION (gpod_application_get_type ())

G_DECLARE_FINAL_TYPE (GpodApplication, gpod_application, GPOD, APPLICATION, GtkApplication)

GpodApplication *
gpod_application_new (void);

void
gpod_application_set_accelerator (GtkApplication *application,
                                  const gchar    *action_name,
                                  const gchar    *accel);
void
gpod_application_set_accelerators (GtkApplication *application,
                                   const gchar    *action_name,
                                   const gchar   **accels);

void
gpod_application_show_uri (GApplication *user_data,
                           const gchar  *uri);

G_END_DECLS

#endif /* __GPOD_APPLICATION_H__ */
